Bug 185701 - net/poptop: Update to version 1.4.0
net/poptop: Update to version 1.4.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-12 18:40 UTC by tkato432
Modified: 2014-01-15 08:40 UTC (History)
0 users

See Also:


Attachments
file.diff (15.43 KB, patch)
2014-01-12 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-12 18:40:05 UTC
- Update to version 1.4.0
Comment 1 dfilter freebsd_committer 2014-01-15 08:35:57 UTC
Author: vanilla
Date: Wed Jan 15 08:35:47 2014
New Revision: 339765
URL: http://svnweb.freebsd.org/changeset/ports/339765
QAT: https://qat.redports.org/buildarchive/r339765/

Log:
  1: Update to version 1.4.0
  2: support stagedir.
  
  PR:		ports/185701
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/net/poptop/Makefile
  head/net/poptop/distinfo
  head/net/poptop/files/patch-Makefile.in
  head/net/poptop/files/patch-defaults.h
  head/net/poptop/files/patch-plugins_Makefile
  head/net/poptop/files/patch-plugins_pptpd-logwtmp.c
  head/net/poptop/files/patch-pptpctrl.c
  head/net/poptop/files/patch-pptpd.c
  head/net/poptop/pkg-descr
  head/net/poptop/pkg-plist

Modified: head/net/poptop/Makefile
==============================================================================
--- head/net/poptop/Makefile	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/Makefile	Wed Jan 15 08:35:47 2014	(r339765)
@@ -2,37 +2,45 @@
 # $FreeBSD$
 
 PORTNAME=	poptop
-PORTVERSION=	1.3.4
-PORTREVISION=	3
+PORTVERSION=	1.4.0
 CATEGORIES=	net
-MASTER_SITES=	SF/${PORTNAME}/pptpd/pptpd-${PORTVERSION}
-DISTNAME=	pptpd-${PORTVERSION:S/.b/-b/}
+MASTER_SITES=	SF/${PORTNAME}/pptpd/pptpd-${PORTVERSION} \
+		SAMBA/ppp:pppd
+DISTFILES=	pptpd-${PORTVERSION}${EXTRACT_SUFX} \
+		${PPPD_DISTNAME}${EXTRACT_SUFX}:pppd
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Windows 9x compatible PPTP (VPN) server
 
-USE_GMAKE=	yes
+LICENSE=	GPLv2
+LICENSE_DISTFILES=	pptpd-${PORTVERSION}${EXTRACT_SUFX}
+
+OPTIONS_DEFINE=	KERNPPP
+KERNPPP_DESC=	Use kernel-space PPP
+
+WRKSRC=		${WRKDIR}/pptpd-${PORTVERSION}
+
+USES=		gmake
 GNU_CONFIGURE=	yes
-MAKE_ARGS=	ACLOCAL="${TRUE}" AUTOCONF="${TRUE}" AUTOMAKE="${TRUE}" \
-		AUTOHEADER="${TRUE}"
+CONFIGURE_ARGS=	--with-libwrap
 
 USE_RC_SUBR=	pptpd
 
-MAN5=		pptpd.conf.5
-MAN8=		pptpd.8 pptpctrl.8
+CFLAGS+=	-I${WRKDIR}/${PPPD_DISTNAME}
+
+KERNPPP_CONFIGURE_OFF=	--with-bsdppp
+
+PPPD_DISTNAME=	ppp-2.4.5
 
-.if !defined(WITH_KERNPPP)
-CONFIGURE_ARGS+=	--with-bsdppp
-.endif
+.include <bsd.port.options.mk>
 
-NO_STAGE=	yes
 post-patch:
-	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/pptpctrl.c
-	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/pptpd.8
-	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/pptpd.conf.5
+.for i in pptpctrl.c pptpd.8 pptpd.conf.5
+	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/${i}
+.endfor
 
 post-install:
-	${INSTALL_DATA} ${WRKSRC}/samples/pptpd.conf \
-		${PREFIX}/etc/pptpd.conf.sample
+	(cd ${WRKSRC}/samples && ${INSTALL_DATA} pptpd.conf \
+		${STAGEDIR}${PREFIX}/etc/pptpd.conf.sample)
 
 .include <bsd.port.mk>

Modified: head/net/poptop/distinfo
==============================================================================
--- head/net/poptop/distinfo	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/distinfo	Wed Jan 15 08:35:47 2014	(r339765)
@@ -1,2 +1,4 @@
-SHA256 (pptpd-1.3.4.tar.gz) = c23a9bdd219a0a36ae7ca20e7c9749f2efdcdbf108aabeeeb5066ba442ec88b6
-SIZE (pptpd-1.3.4.tar.gz) = 240942
+SHA256 (pptpd-1.4.0.tar.gz) = 8fcd8b8a42de2af59e9fe8cbaa9f894045c977f4d038bbd6346a8522bb7f06c0
+SIZE (pptpd-1.4.0.tar.gz) = 252167
+SHA256 (ppp-2.4.5.tar.gz) = 43317afec9299f9920b96f840414c977f0385410202d48e56d2fdb8230003505
+SIZE (ppp-2.4.5.tar.gz) = 684342

Modified: head/net/poptop/files/patch-Makefile.in
==============================================================================
--- head/net/poptop/files/patch-Makefile.in	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/files/patch-Makefile.in	Wed Jan 15 08:35:47 2014	(r339765)
@@ -1,6 +1,6 @@
---- Makefile.in.orig	Mon Apr 16 03:10:27 2007
-+++ Makefile.in	Sat Jun 16 11:21:50 2007
-@@ -35,7 +35,7 @@
+--- Makefile.in.orig	2013-10-23 16:02:37.000000000 +0900
++++ Makefile.in	2013-10-25 01:27:18.000000000 +0900
+@@ -50,7 +50,7 @@
  PRE_UNINSTALL = :
  POST_UNINSTALL = :
  EXTRA_PROGRAMS =
@@ -9,7 +9,7 @@
  subdir = .
  DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
  	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
-@@ -75,8 +75,8 @@
+@@ -90,8 +90,8 @@
  	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  CCLD = $(CC)
  LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
@@ -17,14 +17,14 @@
 -DIST_SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
 +SOURCES = $(pptpctrl_SOURCES) $(pptpd_SOURCES)
 +DIST_SOURCES = $(pptpctrl_SOURCES) $(pptpd_SOURCES)
- man5dir = $(mandir)/man5
- man8dir = $(mandir)/man8
- NROFF = nroff
-@@ -182,6 +182,7 @@
+ am__can_run_installinfo = \
+   case $$AM_UPDATE_INFO_DIR in \
+     n|no|NO) false;; \
+@@ -241,6 +241,7 @@
  # We have our own, simpler dependencies stuff in 'reconf'
  AUTOMAKE_OPTIONS = no-dependencies foreign
  INCLUDES = -I.
 +CFLAGS= @CFLAGS@ -fno-builtin -DSBINDIR='"$(sbindir)"' -DETCDIR='"$(sysconfdir)"'
  #CFLAGS = -O2 -fno-builtin -Wall -ansi -DSBINDIR='"$(sbindir)"'
  #CFLAGS = -O2 -fno-builtin -Wall -ansi -pedantic -Wmissing-prototypes -Werror -DSBINDIR='"$(sbindir)"'
- man_MANS = pptpctrl.8 pptpd.8 pptpd.conf.5
+ man_MANS = pptpctrl.8 pptpd.8 pptpd.conf.5 bcrelay.8

Modified: head/net/poptop/files/patch-defaults.h
==============================================================================
--- head/net/poptop/files/patch-defaults.h	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/files/patch-defaults.h	Wed Jan 15 08:35:47 2014	(r339765)
@@ -1,17 +1,18 @@
 --- defaults.h.orig	Thu Mar  7 19:09:42 2002
 +++ defaults.h	Sun Sep  8 10:19:58 2002
-@@ -40,10 +40,14 @@
+@@ -38,11 +38,15 @@
  #endif
  
- #define PPP_SPEED_DEFAULT		"115200"
+ #define PPP_SPEED_DEFAULT               "115200"
 +#ifdef __FreeBSD__
-+#define PPTPD_CONFIG_FILE_DEFAULT	ETCDIR "/pptpd.conf"
++#define PPTPD_CONFIG_FILE_DEFAULT       ETCDIR "/pptpd.conf"
 +#else
  #if EMBED
- #define PPTPD_CONFIG_FILE_DEFAULT	"/etc/config/pptpd.conf"
+ #define PPTPD_CONFIG_FILE_DEFAULT       "/etc/config/pptpd.conf"
  #else
- #define PPTPD_CONFIG_FILE_DEFAULT	"/etc/pptpd.conf"
-+#endif
+ #define PPTPD_CONFIG_FILE_DEFAULT       "/etc/pptpd.conf"
  #endif
- #define PIDFILE_DEFAULT			"/var/run/pptpd.pid"
++#endif
+ #define PIDFILE_DEFAULT                 "/var/run/pptpd.pid"
  
+ #define STIMEOUT_DEFAULT                10 /* seconds */

Modified: head/net/poptop/files/patch-plugins_Makefile
==============================================================================
--- head/net/poptop/files/patch-plugins_Makefile	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/files/patch-plugins_Makefile	Wed Jan 15 08:35:47 2014	(r339765)
@@ -3,14 +3,31 @@
 @@ -1,10 +1,10 @@
 -CC	= gcc
 -COPTS	= -O2 -g
+-CFLAGS	= $(COPTS) -I.. -I../../include -fPIC
 +CC	?= gcc
 +CPP	?= $(CXX)
- CFLAGS	= $(COPTS) -I.. -I../../include -fPIC
++CFLAGS	+= $(COPTS) -I.. -I../../include -fPIC
  LDFLAGS	= -shared
  LDADD   = -lutil
- INSTALL	= install -o root
+-INSTALL	= install -o root
 -prefix  = /usr/local
++INSTALL	?= install -o root
 +prefix  = $(PREFIX)
  
  PLUGINS = pptpd-logwtmp.so
  
+@@ -18,11 +18,11 @@
+ %.so: %.c
+ 	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^ $(LDADD)
+ 
+-LIBDIR	?= $(DESTDIR)$(prefix)/lib/pptpd
++LIBDIR	?= $(prefix)/lib/pptpd
+ 
+ install: $(PLUGINS)
+-	$(INSTALL) -d $(LIBDIR)
+-	$(INSTALL) $? $(LIBDIR)
++	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
++	$(INSTALL) $? $(DESTDIR)$(LIBDIR)
+ 
+ uninstall:
+ 	rm -f $(LIBDIR)$(PLUGINS)

Modified: head/net/poptop/files/patch-plugins_pptpd-logwtmp.c
==============================================================================
--- head/net/poptop/files/patch-plugins_pptpd-logwtmp.c	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/files/patch-plugins_pptpd-logwtmp.c	Wed Jan 15 08:35:47 2014	(r339765)
@@ -6,5 +6,5 @@
  #include <unistd.h>
 -#include <utmp.h>
  #include <string.h>
- #include "pppd.h"
+ #include <pppd/pppd.h>
  

Modified: head/net/poptop/files/patch-pptpctrl.c
==============================================================================
--- head/net/poptop/files/patch-pptpctrl.c	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/files/patch-pptpctrl.c	Wed Jan 15 08:35:47 2014	(r339765)
@@ -1,52 +1,44 @@
 --- pptpctrl.c.orig	Fri Dec  8 01:01:40 2006
 +++ pptpctrl.c	Tue Jul 31 07:56:19 2007
-@@ -150,8 +150,13 @@
- 			syslog(LOG_DEBUG, "CTRL: remote address = %s", pppRemote);
- 		if (*speed)
- 			syslog(LOG_DEBUG, "CTRL: pppd speed = %s", speed);
+@@ -163,8 +163,13 @@
+                         syslog(LOG_DEBUG, "CTRL: remote address = %s", pppRemote);
+                 if (*speed)
+                         syslog(LOG_DEBUG, "CTRL: pppd speed = %s", speed);
 +#if BSDUSER_PPP
-+		if (*pppdxfig)
-+			syslog(LOG_DEBUG, "CTRL: BSD userland ppp system label = %s", pppdxfig);
++                if (*pppdxfig)
++                        syslog(LOG_DEBUG, "CTRL: BSD userland ppp system label = %s", pppdxfig);
 +#else
- 		if (*pppdxfig)
- 			syslog(LOG_DEBUG, "CTRL: pppd options file = %s", pppdxfig);
+                 if (*pppdxfig)
+                         syslog(LOG_DEBUG, "CTRL: pppd options file = %s", pppdxfig);
 +#endif
- 	}
+         }
  
- 	addrlen = sizeof(addr);
-@@ -693,14 +698,19 @@
+         addrlen = sizeof(addr);
+@@ -708,14 +713,19 @@
  
- 	/* options for BSDUSER_PPP
- 	 *
--	 * ignores IP addresses, config file option, speed
--	 * fix usage info in pptpd.c and configure script if this changes
-+	 * Ignore IP addresses and line speed
-+	 * Use -o or --option string as PPP system label
-+	 * Usage info in pptpd.c and configure script have been updated to
-+	 * reflect this change
- 	 *
- 	 * IP addresses can be specified in /etc/ppp/ppp.secret per user
- 	 */
- 	pppd_argv[an++] = "-direct";
--	pppd_argv[an++] = "pptp";	/* XXX this is the system name */
--	/* should be dynamic - PMG */
-+	if (*pppdxfig) {
-+		pppd_argv[an++] = pppdxfig;
-+	} else {
-+		pppd_argv[an++] = "pptp";       /* XXX this is the system label */
-+	}
+         /* options for BSDUSER_PPP
+          *
+-         * ignores IP addresses, config file option, speed
+-         * fix usage info in pptpd.c and configure script if this changes
++         * Ignore IP addresses and line speed
++         * Use -o or --option string as PPP system label
++         * Usage info in pptpd.c and configure script have been updated to
++         * reflect this change
+          *
+          * IP addresses can be specified in /etc/ppp/ppp.secret per user
+          */
+         pppd_argv[an++] = "-direct";
+-        pppd_argv[an++] = "pptp";       /* XXX this is the system name */
+-        /* should be dynamic - PMG */
++        if (*pppdxfig) {
++                pppd_argv[an++] = pppdxfig;
++        } else {
++                pppd_argv[an++] = "pptp";       /* XXX this is the system label */
++        }
  
  #elif SLIRP
  
-@@ -764,7 +774,6 @@
- 		sprintf(pppInterfaceIPs, "%s:%s", pppaddrs[0], pppaddrs[1]);
- 		pppd_argv[an++] = pppInterfaceIPs;
- 	}
--#endif
- 
-         if (!noipparam) {
-                  pppd_argv[an++] = "ipparam";
-@@ -773,10 +782,12 @@
+@@ -786,7 +796,7 @@
  
          if (pptp_logwtmp) {
                   pppd_argv[an++] = "plugin";
@@ -55,8 +47,3 @@
                   pppd_argv[an++] = "pptpd-original-ip";
                   pppd_argv[an++] = inet_ntoa(inetaddrs[1]);
          }
-+
-+#endif
- 
- 	/* argv arrays must always be NULL terminated */
- 	pppd_argv[an++] = NULL;

Modified: head/net/poptop/files/patch-pptpd.c
==============================================================================
--- head/net/poptop/files/patch-pptpd.c	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/files/patch-pptpd.c	Wed Jan 15 08:35:47 2014	(r339765)
@@ -1,45 +1,47 @@
 --- pptpd.c.orig	2006-09-05 01:17:25.000000000 +0200
 +++ pptpd.c	2008-11-27 22:09:53.000000000 +0100
-@@ -98,18 +98,21 @@
- 	printf(" [-i] [--noipparam]        Suppress the passing of the client's IP address\n");
- 	printf("                           to PPP, which is done by default otherwise.\n");
- 	printf(" [-l] [--listen x.x.x.x]   Specifies IP of local interface to listen to.\n");
+@@ -110,18 +110,21 @@
+ #define OPT_VRFA ""
+ #define OPT_VRF ""
+ #endif
 -#if !defined(BSDUSER_PPP)
 +#ifdef BSDUSER_PPP
-+	printf(" [-o] [--option file]      Specifies the userland PPP system label to use\n");
-+	printf("                           (default is pptp).\n");
++        printf(" [-o] [--option file]      Specifies the userland PPP system label to use\n");
++        printf("                           (default is pptp).\n");
 +#else
- 	printf(" [-o] [--option file]      Specifies the PPP options file to use\n");
- 	printf("                           (default is /etc/ppp/options).\n");
+         printf(" [-o] [--option file]      Specifies the PPP options file to use\n");
+         printf("                           (default is /etc/ppp/options).\n");
  #endif
- 	printf(" [-p] [--pidfile file]     Specifies the file to write the process ID to\n");
--	printf("                           (default is /var/run/pptpd.pid).\n");
-+	printf("                           (default is %s).\n",PIDFILE_DEFAULT);
+         printf(" [-p] [--pidfile file]     Specifies the file to write the process ID to\n");
+-        printf("                           (default is /var/run/pptpd.pid).\n");
++        printf("                           (default is %s).\n",PIDFILE_DEFAULT);
  #if !defined(BSDUSER_PPP)
- 	printf(" [-s] [--speed baud]       Specifies the baud speed for the PPP daemon\n");
--	printf("                           (default is 115200).\n");
-+	printf("                           (default is %s).\n",PPP_SPEED_DEFAULT);
+         printf(" [-s] [--speed baud]       Specifies the baud speed for the PPP daemon\n");
+-        printf("                           (default is 115200).\n");
++        printf("                           (default is %s).\n",PPP_SPEED_DEFAULT);
  #endif
- 	printf(" [-t] [--stimeout seconds] Specifies the timeout for the first packet. This is a DOS protection\n");
--	printf("                           (default is 10).\n");
-+	printf("                           (default is %d).\n",STIMEOUT_DEFAULT);
- 	printf(" [-v] [--version]          Displays the pptpd version number.\n");
- 	printf(" [-w] [--logwtmp]          Update wtmp as users login.\n");
- 	printf(" [-C] [--connections n]    Limit on number of connections.\n");
-@@ -375,11 +378,16 @@
- 		return 1;
- 	}
- 	/* check that the PPP options file is readable */
+         printf(" [-t] [--stimeout seconds] Specifies the timeout for the first packet. This is a DOS protection\n");
+-        printf("                           (default is 10).\n");
++        printf("                           (default is %s).\n",STIMEOUT_DEFAULT);
+         printf(" [-v] [--version]          Displays the pptpd version number.\n");
+         printf(" [-w] [--logwtmp]          Update wtmp as users login.\n");
+         printf(" [-C] [--connections n]    Limit on number of connections.\n");
+@@ -395,12 +398,18 @@
+                        ppp_binary);
+                 return 1;
+         }
++
+         /* check that the PPP options file is readable */
 +        /* If -o or --option is being used to specify BSD userland
 +           PPP system label, it makes no sense to check the option string to
 +           see if it is the name of a readable file. */
 +#if !defined(BSDUSER_PPP)
- 	if (pppdoptstr && access(pppdoptstr, R_OK) < 0) {
- 		syslog(LOG_ERR, "MGR: PPP options file %s not readable",
- 		       pppdoptstr);
- 		return 1;
- 	}
+         if (pppdoptstr && access(pppdoptstr, R_OK) < 0) {
+                 syslog(LOG_ERR, "MGR: PPP options file %s not readable",
+                        pppdoptstr);
+                 return 1;
+         }
 +#endif
  #ifdef BCRELAY
- 	/* check that the bcrelay binary is executable */
- 	if (bcrelay && access(BCRELAY_BIN, X_OK) < 0) {
+         /* check that the bcrelay binary is executable */
+         if (bcrelay && access(BCRELAY_BIN, X_OK) < 0) {

Modified: head/net/poptop/pkg-descr
==============================================================================
--- head/net/poptop/pkg-descr	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/pkg-descr	Wed Jan 15 08:35:47 2014	(r339765)
@@ -1,2 +1,4 @@
 PoPToP is a PPTP daemon. It is compatible with the Microsoft Windows
 VPN adapter.
+
+WWW: http://poptop.sourceforge.net/

Modified: head/net/poptop/pkg-plist
==============================================================================
--- head/net/poptop/pkg-plist	Wed Jan 15 08:30:41 2014	(r339764)
+++ head/net/poptop/pkg-plist	Wed Jan 15 08:35:47 2014	(r339765)
@@ -1,6 +1,9 @@
-@unexec %D/etc/rc.d/pptpd.sh stop > /dev/null 2>&1 || true
-sbin/pptpd
-sbin/pptpctrl
-lib/pptpd/pptpd-logwtmp.so
 etc/pptpd.conf.sample
-@dirrmtry lib/pptpd
+lib/pptpd/pptpd-logwtmp.so
+man/man5/pptpd.conf.5.gz
+man/man8/bcrelay.8.gz
+man/man8/pptpctrl.8.gz
+man/man8/pptpd.8.gz
+sbin/pptpctrl
+sbin/pptpd
+@dirrm lib/pptpd
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Vanilla I. Shu freebsd_committer 2014-01-15 08:36:52 UTC
State Changed
From-To: open->closed

Committed, thanks.